const events = ["inputBlur", "inputConfirm","searchFocus"];

const bindSearch = function (_self){
  Object.assign(_self, searchmodule);
}

/*
  搜索失去聚焦事件
  */
export const searchmodule = {
  inputBlur: function(e) {
    this.setData({
      searchfocus: false
    })
  },
/*
    搜索input确定时事件
  */
  inputConfirm : function(e) {
    var word = e.detail.value;
    if (word) {
      if(typeof this.submitsearchword=="function"){
        this.submitsearchword(word);
      }
      this.cancelSearch();
    } else {
      this.setData({
        searchshow: false,
        searchfocus: false
      })
      if (this.focusani){
        clearTimeout(this.focusani);
      }
    }
  },
/*
  搜索聚焦事件
*/
  searchFocus:function(e) {
    var _self = this;
    this.setData({
      searchshow: true
    })
    this.focusani = setTimeout(function () {
      _self.setData({
        searchfocus: true
      })
    }, 500)
  },
  cancelSearch:function(e){
    var _self = this;
    this.setData({
      searchshow: false
    })
  },
  tapHot:function(e){
    var brand = e.currentTarget.dataset.val;

  }
}
export const linkToSearch = function (word) {
  wx.navigateTo({ url: `../buy/buy?keys=${word}` });
  if(typeof this.submitsearchword=="function"){
    this.submitsearchbrand(word);
  }
  this.cancelSearch();
}

export default bindSearch