// pages/myloan/myloan.js
import { get,post } from "../../common/request.js"
import pathmap from "../../common/pathmap"
import stylemap from "../../common/stylemap"
const app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    windowh: app.globalData.windowh,
    timetorate:{
      "12":"rates_a",
      "24":"rates_b",
      "36":"rates_c"
    },
    price:50,
    time:12,
    scale:0,
    scalename:"零",
    number:["零","一","二","三","四","五","六","七","八","九"]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData(stylemap);
    this.getRate();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  
  },
  getRate:function(){
    var _self=this;
    var mobile = wx.getStorageSync("mobile");
    get(pathmap.rates,{
      mobile:mobile
    },function(json){
      _self.setData(json.data);
    })
  },
  getPrice:function(e){
    var price = e.detail.value;
    this.setData({price:price});
    this.getResult();
  },
  getFirstPay:function(e){    
    var scale = e.detail.value;
    this.setData({scale:scale});
    this.getResult();
  },
  getTime:function(e){
    var time = e.detail.value;
    this.setData({time:time});
    this.getResult();
  },
  getResult:function(){
    var price = this.data.price*10000;
    var scale = this.data.scale;
    var scales = (""+scale/10).split(".");
    var scalename =this.data.number[scales[0]];
    if(scales[1]){
      scalename+=this.data.number[scales[1]]
    }

    var time = this.data.time;
    var interestrate = this.data[this.data.timetorate[time]]/100;
    var firstpay = price*scale/10000;
    var premonthpay = (price-firstpay)*interestrate*(Math.pow((1+interestrate),time))/(Math.pow((1+interestrate),time)-1);
    this.setData({
      firstpay:firstpay,
      premonthpay:Math.round(premonthpay),
      scalename:scalename
    })
  }
})